Загрузка...

Как установить моды на The long dark

Подробная инструкция по установке модов на игру The long dark, начиная с версии 1.79 и выше

  • Alt

Наконец-то мы дождались это знаменательного момента Yahoo моды на The long dark постепенно начинают работают для актуальной версии игры. Выражаем огромную благодарность разработчикам модов: WulfMarius, zeobviouslyfakeacc, Xpazeman и FINDarkside.

Функции отправки телеметрии и сообщений об ошибках должны быть отключены!

Перед тем как устанавливать систему поддержки модов, загрузите игру и убедитесь, что у Вас отключены функции отправки данных телеметрии и сообщений об ошибках:

Главное меню >>> Настройки >>> Личные данные

Отключение функции отправки телеметрии и сообщений об ошибках в The long dark

Далее, необходимо скачать файл MelonLoader.Installer.exe (v 0.6.2 Open-Beta от 10.01.2024).

С новой версией MelonLoader 0.6.2 возникли сложности и большинство модов сейчас выпускают с расчетом на предыдущую версию - 0.6.1. До решения проблем, рекомендуется пока не обновлять MelonLoader или вернуть предыдущую версию (при установке ML есть возможность выбора версии).

Так как это АЛЬФА версия, в настройках ML (вкладка Settings) необходимо установить галочку напротив Show ALPHA Pre-Releases, чтобы версия 0.6.0 стала доступна для установки.

Обратите внимание, что программа находится в стадии открытого бета тестирования и, в настоящий момент, не работает на Windows 7

Установка MelonLoader

Файл находится в zip-архиве, соответственно, его нужно распаковать и запустить. Место, где будет располагаться этой файл, значения не имеет. После запуска MelonLoader, необходимо нажать на кнопку «Select» и указать программе путь до запускающего файла игры – «tld.exe» и нажать на кнопку «Открыть»

Программа MelonLoader.Installer для игры The long dark

Где искать файлы игры, если она куплена в Steam, можно посмотреть в этой статье.

Выбор запускающего файла tld.exe для игры The long dark

Далее, необходимо нажать на кнопку «Install» и дождаться окончания процесса установки.

Установка программы MelonLoader, для The long dark, прошла успешно

Если MelonLoader отказывается работать, убедитесь, что на Вашем компьютере установлены NET Framework 6.0 (Desktop Runtime) и Microsoft Visual C++ 2015-2019 Redistributable.

Проверьте, чтобы в используемых путях отсутствовали буквы русского алфавита.

Обновление / Удаление MelonLoader

Для того чтобы обновить или удалить систему поддержки модов, необходимо еще раз запустить программу MelonLoader и повторить действия, которые выполнялись при ее установке:

  • нажать на кнопку «Select»
  • указать путь до запускающего файла игры – «tld.exe»
  • нажать на кнопку «Открыть»

Далее:

  • для обновления – нажмите на кнопку «UpDate»
  • для удаления – нажмите на кнопку «Un-Install»

Если у Вас уже установлена последняя версия MelonLoader, то вместо кнопки «UpDate» будет «Re-Install» т.е. переустановить.

Обновление или удаление программы MelonLoader, для The long dark

Установка модов

Подготовительная часть закончилась, теперь приступаем к установке самих модов.

Большинство модов устанавливаются в папку «Mods», которая располагается в основном каталоге игры. Если такой папки у Вас нет – создайте ее самостоятельно.

Папка Mods, для установки модов, в основном каталоге игры The long dark

На данный момент, автоматический способ установки (как это было ранее – для версии 1.56) недоступен. В связи с этим, на странице с общим перечнем модов, появилась возможность скачать последние версии тех из них, которые разработчики смогли адаптировать под актуальную версию игры.

Общий перечень всех известных модов, с их описанием, можно посмотреть на этой странице

Для установки мода необходимо скачать соответствующий ему файл. Он находится в zip-архиве, соответственно, необходимо будет его распаковать и поместить содержимое архива в папку «Mods».

>>> Не оставляйте в данной папке архивы! <<<

После этого можно запускать игру и наслаждаться новым функционалом Wink

Установка некоторых модов отличается от стандартной. В этом случае процедура установки представлена в описании такого мода.

Во время загрузки игры будет появляться дополнительное окно. Не пугайтесь – это нормально.

Дополнительное окно при запуске The long dark с поддержкой модов

Для работы некоторых модов, которые имеют собственные настройки, необходима дополнительная библиотека «ModSettings». Рекомендуется сразу ее установить и больше не вспоминать про этот вопрос. Библиотека устанавливается как обычный мод, путем копирования содержимого архива в папку «Mods».

Для работы модов, которые добавляют в игру дополнительные предметы, например Northfolk Clothing Pack или Food-Pack, необходимы дополнительные библиотеки «Mod Component», «Localization Utilities» «Gear Spawner» и «Crafting Revisions». Таких модов немного, но, если Вы планируете их использовать, можно сразу установить необходимые компоненты. Библиотеки устанавливаются как обычные моды, путем копирования содержимого архивов в папку «Mods». В описании каждого мода присутствует информация о необходимости дополнительных библиотек, если такая потребность имеется.

Если Вам необходимо использовать мод который не поддерживается актуальной версией игры, тогда можно воспользоваться Капсулой времени (инструкция на этой странице), установить версию 1.56 и использовать любой имеющийся мод.

Подробную инструкцию по установке модов на версию 1.56 можно посмотреть здесь

Epic Games

В феврале 2023 года разработчик с ником Xpazeman выпустил тестовую версию плагина, который позволяет запускать актуальные моды в игре The long dark, купленной через Epic Games. Данный плагин отключает Epic Online Services поэтому при запуске Melon Loader игра не будет вылетать, однако, одновременно с этим, потеряются игровые достижения.

Установка:

  • Скачайте архив с плагином и распакуйте его в любом месте;
  • Файл «TLDEpicGamesModCompat.dll» поместите в папку: TheLongDark \ Plugins;
  • При первом запуске игры в папке Mods будет создан файл TLDEOSBypasser.dll.

Важные моменты:

Плагин отключит возможность получить доступ к дополнительному контенту: Wintermute и TFTFT т.к. не будет работать служба для проверки прав собственности. Система будет показывать, что у Вас нет прав на дополнения даже если Вы их приобретали.

Удалите плагин из папки Plugins, чтобы получить доступ к дополнениям или использовать загружаемый контент.

Плагин предназначен для использования с версией TLD 2.06 - 2.16 и ML 0.6.0 - 0.6.1, соответственно ему понадобится 6 версия Net Framework для корректной работы. Также он будет поддерживать только те моды, которые адаптировали для работы с TLD 2.06 - 2.16.

Обновление модов

В конце июня 2021 года, один из разработчиков модов - «ds5678» очень сильно упростил алгоритм их использования в игре The long dark. В июне 2023 года другой разработчик модов «STBlade» доработал плагин, чтобы он работал с актуальной версией игры. Теперь моды могут обновляться автоматически. Для этого необходимо скачать архив с плагином:

распаковать его в любом месте и поместить файл «AutoUpdatingPlugin.dll» в папку «TheLongDark \ Plugins». После установки плагина, в процессе загрузки игры, система самостоятельно будет проверять актуальность используемых модов и, в случае необходимости, обновлять их до новых версий.

Удаление модов

Чтобы удалить какой-либо из модов, необходимо просто убрать его из папки «Mods». При наличии большого количества модов бывает сложно вспомнить какие именно файлы отвечают за тот или иной мод. В данном случае могу порекомендовать скачать мод еще раз, поместить его в отдельную папку, посмотреть из каких файлов он состоит и убрать их из основной папки с модами.

Некоторые моды создают в папке «Mods» дополнительный файл с одноименным названием и расширением «*.json» (как правило, в нем содержится информация о настройках мода). Если Вы окончательно удаляете мод и не планируете использовать его в дальнейшем - этот файл тоже необходимо удалить. Если Вы временно деактивируете какой-то из модов, то данный файл лучше оставить, чтобы потом не пришлось заново выставлять настройки.

Последние обновления статей с модами

Как установить моды на The long dark - 4 месяца 3 недели назад
Мод Developer Console на игру The long dark - 5 месяцев 1 неделя назад
Описание мода Food-Pack на игру The long dark - 5 месяцев 3 недели назад

Надеюсь смог помочь. Пусть согревает Вас дух огня в холодные зимние ночи! Hi!

Рекомендуемые статьи

Комментарии

  • Alt
    TheAlex
    пн, 15/03/2021 - 19:23 ответить
    !СРОЧНОЕ СОБРАНИЕ! !Как в Among Us! В Youtube я нашел видео, где показывают там мод на сетевую игру ( мультиплеер )! Не верите! Наберите в Яндексе или в Гуглe: The Long Dark Multiplayer и увидете!
    • Alt
      пн, 15/03/2021 - 21:00 ответить
      Соответствующая информация уже добавлена на страницу с часто задаваемыми вопросами. Сам мод пока находится в стадии разработки и он никак не решает проблему временных парадоксов.
  • Alt
    VIP_ColdMan_VIP
    пн, 22/03/2021 - 21:48 ответить
    А как установить моды на версии 1.79 без использования дополнительных программ ( у вас такие есть )?
    • Alt
      пн, 22/03/2021 - 22:07 ответить
      Для работы модов обязательно нужна сторонняя программа, она переопределяет игровые параметры на те, что указаны в модах. Некоторым модам для работы нужны дополнительные библиотеки, чтобы иметь собственные настройки, создавать дополнительные предметы и механики, которых нет в обычной версии игры. Как-то так :)
  • Alt
    Гость
    чт, 01/04/2021 - 23:37 ответить
    А на версии с Эпика будет работать?
  • Alt
    TheAlex
    вс, 04/04/2021 - 15:28 ответить
    Какая нужна программа для скачивания консоли разработчика?
  • Alt
    TheAlex
    вс, 04/04/2021 - 15:39 ответить
    Поместил мод и Mod Settings в раздел Моды, но окно не появляется. Почему?
  • Alt
    TheAlex
    вс, 04/04/2021 - 16:01 ответить
    Все сделал, как надо, но программа нафиг отказывается работать. Перечислите основные причины того, почему программа при запуске игры выдает, что не работает.
    • Alt
      Основные причины уже перечислены в тексте статьи: в именах файлов, папок, а также учетной записи не должно быть русских букв. Для работы необходимы NET Framework и Microsoft Visual C++.
      • Alt
        TheAlex
        вс, 04/04/2021 - 19:56 ответить
        ...учетной записи - это имя пользователя компьютера?
        • Alt
          Да
          • Alt
            TheAlex
            пн, 05/04/2021 - 11:34 ответить
            Она у меня на английском. Я все папки, файлы проверил. Скачал все нужные программы. Убрал ВКЛ на нужных параметрах лонг дарка. А программа все равно напрочь отказывается работать. Для работы нужен Windows 10? У меня стоит Windows 7.
            • Alt
              Зависимости от версии операционной системы нет, у меня нормально работало как на Win 7, так и на Win 10. Дальше можно только строить догадки и делать предположения... Возможно какая-то программа "криво" встала, брандмауэр что-то блокирует, антивирус чудит, порты закрыты и т.д. К сожалению, нюансов может быть очень много и у каждого они свои.
  • Alt
    ср, 26/05/2021 - 14:49 ответить
    Установила всё по инструкции, все папки присутствуют, также и «ModSettings» библиотека присутствует, но при входе в игру через стим аккаунт не появляется странное окошко c модами, отсутствует владка для настройки модов в настройках игры
    • Alt
      ср, 26/05/2021 - 19:34 ответить
      Исходя из написанного, у Вас не активен MelonLoader. Скачайте его, запустите, укажите путь до запускающего файла игры и дойдите по появления надписи "Install was Successful". Это говорит о том, что программа внесла необходимые изменения, чтобы игра могла взаимодействовать с модами. Для работы MelonLoader, дополнительно, необходимы NET Framework 4.8 Runtime и Microsoft Visual C++ 2015-2019 Re-distributable. Возможно у Вас их нет. Установите по ссылкам на странице или найдите самостоятельно, они общедоступные. Это основные нюансы и все должно заработать.
    • Alt
      TheAlex
      сб, 29/05/2021 - 10:33 ответить
      У вас MelonLoader просто не активен. Чтобы убедится в том, что он активен, при установке, вы должны увидеть надпись о том, что программа активна. Вот тогда все ваши моды будут работать.
  • Alt
    Руслан
    вс, 30/05/2021 - 12:48 ответить
    Не открывается сыллка на скачивание MelonLoader,подскажите что делать
    • Alt
      вс, 30/05/2021 - 15:53 ответить
      Возможно проблема заключается в браузере. Сейчас перепроверил все в FireFox, Google Chrome и Opera, используйте один из них. Как один из вариантов, нажмите на ссылку правой кнопкой мышки, выберите пункт "сохранить ссылку как" и укажите куда сохранить файл. Еще возможно, что Ваш антивирус блокирует скачивание. В качестве подстраховки, сейчас отправлю Вам этот файлик на почту.
  • Alt
    вс, 30/05/2021 - 21:25 ответить
    А что произойдет с модами и программой для модов, когда я поменяю версию игры где моды для 1.79 не работают, например на 1.0, и заново верну обычную версию? Они пропадут у меня?
    • Alt
      вс, 30/05/2021 - 22:51 ответить
      С модами ничего не будет, они в отдельной папке хранятся, только работать перестанут. MelonLoader придется активировать повторно.
      • Alt
        пн, 31/05/2021 - 09:46 ответить
        Спасибо. А то, когда узнал, что моды работают на версии 1.79 и позднее, я перестал пользоваться капсулой времени.
  • Alt
    пн, 31/05/2021 - 09:52 ответить
    У меня появились новые моды. 1 - NoFall - позволяет не получать урон и болезни после падения с высоты. 2 - BearSpearSurvivalMode - добавляет долгожданное копье в режиме выживания. С помощью него можно отбиваться ото всех животных ( включая лося и медведя ). Я этот мод просто обновил, добавив анимацию борьбы с копьем с волком и лосем а также установил голос Астрид. Также, лось стал наконец то открывать рот, что не делал при атаки. Копье можно найти либо в Доме Зверолова на ЗО, либо в Домике Охотника в РЖД. Копье нельзя скрафтить, но оно присутствует даже на НГ.
  • Alt
    The Riddler
    пт, 11/06/2021 - 22:24 ответить
    Пора сделать статью "Как исправить ошибки, связанные с запуском игры". А то 1 июня Alex Bykov жаловался, что игра у него не запускается.
  • Alt
    The Riddler
    ср, 16/06/2021 - 10:00 ответить
    Кто нибудь сталкивался с проблемой "Failed to il2cpp" после некоторого времени использования модов? Как раз я расскажу, как это исправить, чтобы и моды сохранились, и игра нормально стала работать и чтобы вы не "мучились". Сначала убираем все моды из папки Mods в рабочий стол. ОБЯЗАТЕЛЬНО УБЕРИТЕ ИХ ФАЙЛЫ ИЗМЕНЕНИЙ И ПРОГРАММЫ MOD SETTINGS И MOD COMPONENT!!!!!! Не волнуйтесь, позже мы их поставим на место! Далее мы удаляем игру и загружаем заново. Вуаля, все наши папки осуществили перезагрузку и игра работает нормально. Осталось зайти в игру и отключить функции отправки данных телеметрии и сообщений об ошибках, скачать MelonLoader, NET Framework 4.8 и Microsoft Visual C++ 2015-2019 Redistributable. И в новой папке Mods загружаем все наши моды, которые остались на рабочем столе! Не волнуйтесь, все ваши сохранения модов и сохранения режима выживания, истории и испытании останутся! После можно уже спокойно играть!
    • Alt
      чт, 17/06/2021 - 09:45 ответить
      СПАСИБОООООО!!! Я как раз столкнулся с этой проблемой. Благодаря тебе, я все исправил!
  • Alt
    чт, 17/06/2021 - 21:59 ответить
    Программа для поддержки модов MelonLoader была обновлена до версии 0.4.0
  • Alt
    Есть русификатор на ModSettings? А то я с английским нудружу.
  • Alt
    чт, 29/07/2021 - 13:01 ответить
    Программа MelonLoader готовится к новому обновлению 0.5.0
    • Alt
      пт, 30/07/2021 - 09:15 ответить
      Это хорошо, нам главное чтобы работало. В настоящий момент актуальной является версия 0.4.3 о чем были сделаны соответствующие изменения в текст статьи.
      • Alt
        пт, 30/07/2021 - 12:09 ответить
        Там кажется в обновлении изменится дизайн ярлыка, самого приложения и возможность проверять файлы на безопасность.
  • Alt
    ср, 06/10/2021 - 21:15 ответить
    Ребят подскажите что делать, скачал мод на еду а её нет, вроде всё правильно скачал и при запуске игры в окошке Мелон лоадера выдаёт ошибку, что-то про Мод Компонент, не могу понять что он хочет, и пропали настройки, захожу во вкладку настроек, а их нет
    • Alt
      ср, 06/10/2021 - 21:37 ответить
      Моду Food Pack, для работы, необходимы дополнительные компоненты: «Mod Settings» и «Mod Component». Вы их установили? В дополнение к этому, его установка немного отличается от стандартной, файл необходимо копировать в папку: TheLongDark\Mods\ModComponentZips. Какую версию игры Вы используете? В 1.94 все должно работать нормально. Новая версия вышла всего пару часов назад, под нее моды еще не адаптировали, поэтому что-то может не работать.
      • Alt
        чт, 07/10/2021 - 07:22 ответить
        Да я сделал всë по инструкции, может всë таки из-за обновления не работает
    • Alt
      ср, 06/10/2021 - 21:34 ответить
      В файлах модов есть файл для Mod Component. Чтобы мод работал, переместите этот файл в ModComponent.Zips.
  • Alt
    чт, 07/10/2021 - 00:01 ответить
    На версии 1.95 моды пока не работают. Ждем обновления программного комплекса поддержки. До этого момента MelonLoader можно удалить.
  • Alt
    чт, 07/10/2021 - 07:23 ответить
    У меня не запускается игра после обновления 1.95! После экрана ОГРАНИЧЕНИЕ ОТВЕТСТВЕННОСТИ у меня черный экран и игра не показывает меню. Что делать? Может, 4 эпизод доступен для людей с Windows 10 - 11?
    • Alt
      чт, 07/10/2021 - 10:27 ответить
      Удали MelonLoader и все заработает (ಠ‿ಠ)
      • Alt
        чт, 07/10/2021 - 15:00 ответить
        "застрелился за кадром из за тупейшиства"
      • Alt
        пт, 08/10/2021 - 14:03 ответить
        I am sorry, clever man, but, this is wrong answer!
        • Alt
          пт, 08/10/2021 - 15:47 ответить
          У меня после обновления перестала запускаться игра, проходят заставки, а на месте экранного меню какая-то размытая картинка и ничего не получалось сделать. Удалила MelonLoader и все заработало. Когда моды починят, установлю заново. Возможно у нас разные проблемы, раз не помогло.
          • Alt
            пт, 08/10/2021 - 16:06 ответить
            А! Этот метод удаления файла из моей инструкцией работает на Win 7! Я забыл упомянуть
  • Alt
    Сегодня был обновлен Mod Settings (необходим для работы других модов, имеющих собственные настройки), теперь он корректно работает с версией 1.95. В настоящий момент наблюдаются проблемы с продвинутыми модами, которым для работы необходим ModComponent. Простые моды, типа Developer Console, работают нормально.
  • Alt
    пт, 08/10/2021 - 14:09 ответить
    Ребята, у кого черный экран после Ограничение ответственности, есть выход! Заходите в Windows - Program Files (x86) - Steam - steamapps - common - TheLongDark - tld_Data - StreamingAssets - Video - Windows и там удаляете файл "intro_cards.mp4. Если хотите поиграть в Сюжет, то в папке Cinematics удаляете видео, связанные с 4 и 3 эпизодами. Вот и все. Ваша проблема решена.
  • Alt
    Станислав
    пт, 08/10/2021 - 14:21 ответить
    не работает Developer Console
    • Alt
      пт, 08/10/2021 - 15:14 ответить
      Сейчас проверил на версии 1.95 - Developer Console работает. Возможно Ваша проблема связана с чем-то другим. Если у Вас установлены другие моды или плагины, временно перенесите их в другую папку и устанавливайте по одному, тогда точно можно будет понять что именно отказывается работать.
  • Alt
    Станислав
    вс, 10/10/2021 - 16:01 ответить
    не стоит других модов. только Developer Console, переносил в другую папку, не помогло... может я не правильно что то делаю... в загрузочном экране MelonLoader в конце выбивает [API loaded no] это о чем то говорит?

Оставить комментарий